Debian Bug report logs - #504671
firmware-nonfree: Please add ipw2100 firmware

version graph

Package: firmware-nonfree; Maintainer for firmware-nonfree is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Frank Lin PIAT <fpiat@bigfoot.com>

Date: Thu, 6 Nov 2008 01:18:01 UTC

Severity: normal

Tags: patch

Fixed in version firmware-nonfree/0.14

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, fpiat@bigfoot.com, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#504671; Package firmware-nonfree. (Thu, 06 Nov 2008 01:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lin PIAT <fpiat@bigfoot.com>:
New Bug report received and forwarded. Copy sent to fpiat@bigfoot.com, Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 06 Nov 2008 01:18:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frank Lin PIAT <fpiat@bigfoot.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: firmware-nonfree: Please add ipw2100 firmware
Date: Thu, 06 Nov 2008 02:15:34 +0100
[Message part 1 (text/plain, inline)]
Package: firmware-nonfree
Severity: normal
Tags: patch

Hello,

I've attached a patch to add ipw2100 firmware. That license[1] issue was 
discussed on debian-kernel and debian-legal[1] and it is very similar
to the bug 449235 for ipw2200.

This patch depends on a feature that is added by a patch I've also submitted
in bug #504668[2].

Franklin


[1] http://ipw2100.sourceforge.net/firmware.php?fid=4
[2] http://bugs.debian.org/504668
[ipw2100.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#504671; Package firmware-nonfree. (Sun, 09 Nov 2008 22:18:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 09 Nov 2008 22:18:17 GMT) Full text and rfc822 format available.

Message #10 received at 504671@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Frank Lin PIAT <fpiat@bigfoot.com>, 504671@bugs.debian.org
Subject: Re: Bug#504671: firmware-nonfree: Please add ipw2100 firmware
Date: Sun, 9 Nov 2008 23:15:13 +0100
On Thu, Nov 06, 2008 at 02:15:34AM +0100, Frank Lin PIAT wrote:
> I've attached a patch to add ipw2100 firmware. That license[1] issue was 
> discussed on debian-kernel and debian-legal[1] and it is very similar
> to the bug 449235 for ipw2200.

Please merge the ipw2100 and ipw2200 into one package. The licenses are
similar enough.

Bastian

-- 
Dismissed.  That's a Star Fleet expression for, "Get out."
		-- Capt. Kathryn Janeway, Star Trek: Voyager, "The Cloud"




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#504671; Package firmware-nonfree. (Mon, 10 Nov 2008 00:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Franklin PIAT <fpiat@bigfoot.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 10 Nov 2008 00:15:02 GMT) Full text and rfc822 format available.

Message #15 received at 504671@bugs.debian.org (full text, mbox):

From: Franklin PIAT <fpiat@bigfoot.com>
To: Bastian Blank <waldi@debian.org>
Cc: 504671@bugs.debian.org
Subject: Re: Bug#504671: firmware-nonfree: Please add ipw2100 firmware
Date: Mon, 10 Nov 2008 01:11:51 +0100
[Message part 1 (text/plain, inline)]
Hello,

On Sun, 2008-11-09 at 23:15 +0100, Bastian Blank wrote:
> On Thu, Nov 06, 2008 at 02:15:34AM +0100, Frank Lin PIAT wrote:
> > I've attached a patch to add ipw2100 firmware. That license[1] issue was 
> > discussed on debian-kernel and debian-legal[1] and it is very similar
> > to the bug 449235 for ipw2200.
> 
> Please merge the ipw2100 and ipw2200 into one package. The licenses are
> similar enough.

done.

Regarding, the licenses, I've merged the common part, and kept the
specific parts. In the license introduction, I've added the two lines
with a "+" below:
>  * If you are an End-User, only Exhibit A, the SOFTWARE LICENSE AGREEMENT,
>    applies.
>  * If you are an Original Equipment Manufacturer (OEM), Independent Hardware
>    Vendor (IHV), or Independent Software Vendor (ISV), this complete Agreement
>    applies
> +  - A part of the license is for ipw 2100 firmware
> +  - Another part of the license is for ipw 2200/2915 firmware

In bug#504668, you told that gencontrol.py patch, to validate the
license wasn't acceptable, so I don't use here.

Let me know if I can help.

Franklin
[ipw2x00.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Bastian Blank <waldi@alioth.debian.org> to control@bugs.debian.org. (Fri, 28 Nov 2008 11:57:04 GMT) Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Wed, 03 Dec 2008 22:57:16 GMT) Full text and rfc822 format available.

Notification sent to Frank Lin PIAT <fpiat@bigfoot.com>:
Bug acknowledged by developer. (Wed, 03 Dec 2008 22:57:16 GMT) Full text and rfc822 format available.

Message #22 received at 504671-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 504671-close@bugs.debian.org
Subject: Bug#504671: fixed in firmware-nonfree 0.14
Date: Wed, 03 Dec 2008 22:42:23 +0000
Source: firmware-nonfree
Source-Version: 0.14

We believe that the bug you reported is fixed in the latest version of
firmware-nonfree, which is due to be installed in the Debian FTP archive:

firmware-bnx2_0.14_all.deb
  to pool/non-free/f/firmware-nonfree/firmware-bnx2_0.14_all.deb
firmware-ipw2x00_0.14_all.deb
  to pool/non-free/f/firmware-nonfree/firmware-ipw2x00_0.14_all.deb
firmware-iwlwifi_0.14_all.deb
  to pool/non-free/f/firmware-nonfree/firmware-iwlwifi_0.14_all.deb
firmware-nonfree_0.14.dsc
  to pool/non-free/f/firmware-nonfree/firmware-nonfree_0.14.dsc
firmware-nonfree_0.14.tar.gz
  to pool/non-free/f/firmware-nonfree/firmware-nonfree_0.14.tar.gz
firmware-qlogic_0.14_all.deb
  to pool/non-free/f/firmware-nonfree/firmware-qlogic_0.14_all.deb
firmware-ralink_0.14_all.deb
  to pool/non-free/f/firmware-nonfree/firmware-ralink_0.14_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 504671@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated firmware-nonfree package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 02 Dec 2008 18:07:12 +0100
Source: firmware-nonfree
Binary: firmware-bnx2 firmware-ipw2x00 firmware-iwlwifi firmware-qlogic firmware-ralink
Architecture: source all
Version: 0.14
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 firmware-bnx2 - Binary firmware for Broadcom NetXtremeII
 firmware-ipw2x00 - Binary firmware for Intel Pro Wireless 2100, 2200 and 2915
 firmware-iwlwifi - Binary firmware for Intel Wireless 3945 and 4965
 firmware-qlogic - Binary firmware for QLogic QLA2XXX
 firmware-ralink - Binary firmware for Ralink RT2561, RT2571, RT2661 and RT2671 wire
Closes: 449235 504668 504671
Changes: 
 firmware-nonfree (0.14) unstable; urgency=low
 .
   * Generate license acceptation prompt, based on sun-java5. (closes: #504668)
   * Add Intel Pro 2100 firwmare, version 1.3. (closes: #504671)
   * Add Intel Pro 2200/2915 firwmare, version 3.0. (closes: #449235)
Checksums-Sha1: 
 7029717853f68a8e4d4a91288cd7320e536766cf 1107 firmware-nonfree_0.14.dsc
 91aae6ef3dfe2be676fbe708b336b7c834b431b9 1281829 firmware-nonfree_0.14.tar.gz
 183887c86acae946a05786029c3b7e941c6c1fed 105312 firmware-bnx2_0.14_all.deb
 e6387d347d10cac9647acd1d4c7317fb52766d01 519622 firmware-ipw2x00_0.14_all.deb
 adf99db78a2ae1fd96e8006d58bd1656ee704775 223788 firmware-iwlwifi_0.14_all.deb
 58c89e3314853c28940fb0d807e2de6d5ee1e5c7 415896 firmware-qlogic_0.14_all.deb
 326032ce8a450bd6afef1cd2727c0348e52239fc 11698 firmware-ralink_0.14_all.deb
Checksums-Sha256: 
 7a43f7dd4c3c66b7dbcb23d9c1cb37d7f9aec36ae740b7049dedf91d054ed8d9 1107 firmware-nonfree_0.14.dsc
 21eb0cdb70c9703facec99702acc528d402ee60d9df00cba7ba1f6782002a88b 1281829 firmware-nonfree_0.14.tar.gz
 aa9532addaf376902dc880a71a3632d9f877c27cf62c95841ea077acb897349b 105312 firmware-bnx2_0.14_all.deb
 160e9e14074d269e963baa8432be4df5e10a62735fddfb32f045a103f970f375 519622 firmware-ipw2x00_0.14_all.deb
 56ccec13accc373a994f44a5e3ecbe9f4f3b58371a505db71174b3fab6d8b77c 223788 firmware-iwlwifi_0.14_all.deb
 13e5ce82984d7df3c202d48c70c5c1e541d53afead1365353c856501e3290552 415896 firmware-qlogic_0.14_all.deb
 eb93d9da29217af2a4ac9db723bd56b8f281157891effc785470d4cfa1970de4 11698 firmware-ralink_0.14_all.deb
Files: 
 693f9c8d093429ecd2e978935fa190a8 1107 non-free/admin optional firmware-nonfree_0.14.dsc
 faf59942e8da6821ff9b1b800f5ed1c9 1281829 non-free/admin optional firmware-nonfree_0.14.tar.gz
 e913bc936a8ca754d72aa91291f229dd 105312 non-free/admin optional firmware-bnx2_0.14_all.deb
 91737f5f83dbc71d1c93c17d7f155b73 519622 non-free/admin optional firmware-ipw2x00_0.14_all.deb
 b5ddd638c4cd04267cb88fa0a001caa5 223788 non-free/admin optional firmware-iwlwifi_0.14_all.deb
 4fdb341a9d7375d9b373b782cf8dc74c 415896 non-free/admin optional firmware-qlogic_0.14_all.deb
 89c8a7381fca91b4bca7c9b0812f3f68 11698 non-free/admin optional firmware-ralink_0.14_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iEYEARECAAYFAkk1bDAACgkQLkAIIn9ODhHPjwCcDKZnqz0ZPzqjI7s4Pj+Zpo+1
HUcAoMUj1nBCLZtvOuCjhdMLk9lAqsWX
=/BzE
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Feb 2009 07:28:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 20:04:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.